// sharedmem.h

// This structure is used to hold all the data shared with the file map
// your plugin is loaded in two places if you use a hotkey (or some other injection method):
// 1. it is loaded in the engine, this is where you give settings, and get show status
// 2. it is loaded into the target process's address space.
// in order for the two instances to be syncronized they can both
// share the same memory for certain variables via a file map
// i use this structure for keepings track of all the data in the file map

struct SharedMemStruct
{
   DllQueryStruct    sDQS;             // we want to sure the entire DQS structure
   HHOOK             hHook;            // hook handle
	WORD              wHotKey;          // virtual key for hotkey
   char              szSCBWName[16];   // name to spoof as
};
